Subject: compile of openssl-0.9.6d stops

From: "Bill Angus" <[email-masked]>
Date: Sun, 14 Jul 2002 15:44:59 -0700

Hi: Thanks all for earlier help to compile Apache and openssl-0.9.6d under Windows. I found awk and got it installed which made things a lot better :-o) I think I'm well on my to getting the project to compile using Microsoft Visual C++ v.6 and MASM, but I ran into a slight glitch. 

I followed the directions as best I could to compile form the command line, and managed to get the project about half compiled before I ran into the problem listed below. Compilation fails after what seems to be about 50% completion and the compilers throws up the following error box (see below)... Any ideas?

The compilation seemed to be proceeding real well up to this point. 

--------------------------------------------------------------------------------

ERROR MESSAGE BOX APPEARS AND TERMINATES COMPILATION (funny spelling ...CompuuerName... I was unable to find where it came from.)

cmd.exe entry point not found
The procedure entry point RtlDnsHostNameToCompuuerName could not be located in the dynamic link library NTDLL.DLL

--------------------------------------------------------------------------------

THE MAKEFILE COMMAND BEING EXECUTED WHEN COMPILATION FAILURE OCCURS WAS AS BELOW:

cl /Fotmp32dllx509_cmp.obj  -Iinc32 -Itmp32dll /MD /W3 /WX /G5 /Ox /O2 /Ob2 /Gs0 /GF /Gy /nologo -D_WIN32 -DWIN32_LEAN_AND_MEAN -DL_ENDIAN -DSO_WIN32 -DBN_ASM -DSHA1_ASM -DRMD160_ASM /Fdout32dll /GD -D_WINDLL -D_DLL -c .\crypto\x509_cmp.c
nmake : fatal error U1077: 'cl' : return code '0x80'
Stop.

--------------------------------------------------------------------------------

Bill Angus
http://www.psychtest.com